Time tracking
Get Org Timesheet Periods
Cursor-paginated org timesheet periods with status/compliance filters and violation/warning counts.
Required scope: time:read
curl --request GET \
--url 'https://api.toku.com/hris/get-org-timesheet-periods' \
--header 'Authorization: Bearer <token>'{
"items": [
{
"timesheetPeriodID": "string",
"roleInOrgID": "string",
"employeeName": "string",
"workEmail": "string",
"department": "string",
"countryCode": "string",
"periodType": "string",
"periodStart": "string",
"periodEnd": "string",
"status": "string",
"complianceStatus": "string",
"totalNetMinutes": 0,
"totalOvertimeMinutes": 0,
"entryCount": 0,
"violationCount": 0,
"warningCount": 0,
"employeeSignedAt": "string",
"escalatedAt": "string"
}
],
"totalCount": 0,
"nextCursor": "string",
"hasNextPage": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
statusstring | string[]complianceStatusstring | string[]countryCodestringAvailable options: ABW, AFG, AGO, AIA, ALA, ALB, AND, ARE, ARG, ARM, ASM, ATA, ATF, ATG, AUS, AUT, AZE, BDI, BEL, BEN, BES, BFA, BGD, BGR, BHR, BHS, BIH, BLR, BLZ, BMU, BOL, BRA, BRB, BRN, BTN, BVT, BWA, CAF, CAN, CCK, CHE, CHL, CHN, CIV, CMR, COD, COG, COK, COL, COM, CPV, CRI, CUB, CUW, CXR, CYM, CYP, CZE, DEU, DJI, DMA, DNK, DOM, DZA, ECU, EGY, ERI, ESH, ESP, EST, ETH, FIN, FJI, FLK, FRA, FRO, FSM, GAB, GBR, GEO, GGY, GHA, GIB, GIN, GLP, GMB, GNB, GNQ, GRC, GRD, GRL, GTM, GUF, GUM, GUY, HKG, HMD, HND, HRV, HTI, HUN, IDN, IMN, IND, IOT, IRL, IRN, IRQ, ISL, ISR, ITA, JAM, JEY, JOR, JPN, KAZ, KEN, KGZ, KHM, KIR, KNA, KOR, KWT, LAO, LBN, LBR, LBY, LCA, LIE, LKA, LSO, LTU, LUX, LVA, MAC, MAF, MAR, MCO, MDA, MDG, MDV, MEX, MHL, MKD, MLI, MLT, MMR, MNE, MNG, MNP, MOZ, MRT, MSR, MTQ, MUS, MWI, MYS, MYT, NAM, NCL, NER, NFK, NGA, NIC, NIU, NLD, NOR, NPL, NRU, NZL, OMN, PAK, PAN, PCN, PER, PHL, PLW, PNG, POL, PRI, PRK, PRT, PRY, PSE, PYF, QAT, REU, ROU, RUS, RWA, SAU, SDN, SEN, SGP, SGS, SHN, SJM, SLB, SLE, SLV, SMR, SOM, SPM, SRB, SSD, STP, SUR, SVK, SVN, SWE, SWZ, SXM, SYC, SYR, TCA, TCD, TGO, THA, TJK, TKL, TKM, TLS, TON, TTO, TUN, TUR, TUV, TWN, TZA, UGA, UKR, UMI, URY, USA, UZB, VAT, VCT, VEN, VGB, VIR, VNM, VUT, WLF, WSM, YEM, ZAF, ZMB, ZWE
periodTypestringAvailable options: WEEKLY, MONTHLY
periodStartFromstringAllowed: matches ^\d{4}-\d{2}-\d{2}$
periodStartTostringAllowed: matches ^\d{4}-\d{2}-\d{2}$
searchstringAllowed: at most 200 characters
limitintegerAllowed: 1 to 200
cursorstring<uuid>Response
200Successful response
itemsobject[]requiredShow child attributes
timesheetPeriodIDstringrequiredroleInOrgIDstringrequiredemployeeNamestringrequiredworkEmailstring | nullrequireddepartmentstring | nullrequiredcountryCodestring | nullrequiredperiodTypestringrequiredperiodStartstringrequiredperiodEndstringrequiredstatusstringrequiredcomplianceStatusstringrequiredtotalNetMinutesnumberrequiredtotalOvertimeMinutesnumberrequiredentryCountnumberrequiredviolationCountnumberrequiredwarningCountnumberrequiredemployeeSignedAtstring | nullrequiredescalatedAtstring | nullrequiredtotalCountnumberrequirednextCursorstring | nullrequiredhasNextPagebooleanrequired